Вопросы от новичка

Страницы: Пред. 1 ... 22 23 24 25 26 ... 29 След.
RSS
Вопросы от новичка, Последовательность проектирования
Цитата
n0b0dy пишет:
Кто-нибудь вобще этим заморачивался?
Было такое дело, токо я через реестр (то же самое), потом отказался, АИ начинает глючить, вплоть до переустановки... В последних версиях доска так намутила с материалами, сейчас по Акадовской привычке использую тему Контрастная (с темным фоном), да и с эскизами там получше...
Никогда не говори никогда.
Добрый день! Подскажите, пожалуйста, как можно добавить или заменить существующие обозначения на необходимые (поворот и развернуто).
Цитата
Serj66rus пишет:

Добрый день! Подскажите, пожалуйста, как можно добавить или заменить существующие обозначения на необходимые (поворот и развернуто).

Добрый!

Как добавить не подскажу, но есть решение (как мне кажется получше): повернуто ALT+59726, знак градуса ALT+0176, развернуто и так есть в таблице.
Цитата
n0b0dy пишет:
ALT+59726
Спасибо за ответ, но хотелось бы попробовать заменить обозначения.
Цитата
Serj66rus пишет:
Подскажите, пожалуйста, как можно добавить или заменить существующие обозначения
Посмотрите по вкладке(с пятой минуты).
My Webpage
Начиная с версии АИ2016 появилась возможность создавать библиотеку эскизных обозначений.
Доброго дня всем.

Есть вопрос, который мучает меня уже не один день. Как в детали в свойствах инвентора добиться автоматического подсчета стоимости?
В идеале хотелось бы чтобы в поле "Сметная стоимость" (или пользовательское поле) прописывалась стоимость равная масса детали умноженная на рубли.

пробовал создавать пользовательское поле: = <Mass>*<Cost>

но не пашет.

Я так понимаю что математические операции не выполнятся.
Может кто-то делал что-то подобное?
Изменено: n0b0dy - 05.10.2017 10:11:30
Цитата
n0b0dy пишет:
хотелось бы чтобы в поле "Сметная стоимость" ... прописывалась стоимость равная масса детали умноженная на рубли.
Попробуй правило на iLogic:
Код
ThisDoc.Document.PropertySets.Item("Design Tracking Properties").Item("Cost").Value = Round(iProperties.Mass, 3) * 55
Никогда не говори никогда.
Цитата
Алексей Романов пишет:

Цитата
n0b0dy пишет:

хотелось бы чтобы в поле "Сметная стоимость" ... прописывалась стоимость равная масса детали умноженная на рубли.
Попробуй правило на iLogic:
Код
 ThisDoc.Document.PropertySets.Item("Design Tracking Properties").Item("Cost").Value = Round(iProperties.Mass, 3) * 55 

Огромное спасибо!

Код отлично работает. Буду применять.
Всем доброго дня!

Я опять с вопросами)

Поделитесь опытом кто как быстро делает dxf?

В данный момент я пользуюсь аддином flat pattern, но бесплатная версия имеет ограничения по количеству деталей в сборке. Приходится проводить дополнительные манипуляции(

Может есть еще какой проверенный аддин?


+ подниму вопрос:
Кто сможет подсказать как в шаблон чертежа добавить список ТТ, чтобы он потом появлялся при создании чертежей?
Т.е я открыл шаблон, нажал ТТ, добавил нужные пункты, сохранил, закрыл. Создаю чертеж детали (используя ранее сохраненный шаблон), но ТТ не появляется?
Цитата
n0b0dy пишет:

Всем доброго дня!



Я опять с вопросами)



Поделитесь опытом кто как быстро делает dxf?



В данный момент я пользуюсь аддином flat pattern, но бесплатная версия имеет ограничения по количеству деталей в сборке. Приходится проводить дополнительные манипуляции(



Может есть еще какой проверенный аддин?





+ подниму вопрос:

Кто сможет подсказать как в шаблон чертежа добавить список ТТ, чтобы он потом появлялся при создании чертежей?

Т.е я открыл шаблон, нажал ТТ, добавил нужные пункты, сохранил, закрыл. Создаю чертеж детали (используя ранее сохраненный шаблон), но ТТ не появляется?
А чем не нравится вариант "Сохранить как", далее "Сохранить копию как" и выбираешь желаемый формат...

По ТТ. Я жму слева внизу на "Технические требования" ПКМ, выбираю "Новая папка", даю название папке, потом на эту папку "Добавить список технических требований". Справа в окне вписываем любимые требования. При нажатие на ОК предлагается сохранить новый список. Новый список сохраняется где то в программе и действует во всех шаблонах.
ТТ.jpg (87.95 КБ)
Цитата
Yuriy73 пишет:

А чем не нравится вариант "Сохранить как", далее "Сохранить копию как" и выбираешь желаемый формат...



По ТТ. Я жму слева внизу на "Технические требования" ПКМ, выбираю "Новая папка", даю название папке, потом на эту папку "Добавить список технических требований". Справа в окне вписываем любимые требования. При нажатие на ОК предлагается сохранить новый список. Новый список сохраняется где то в программе и действует во всех шаблонах.

Наверно я плохо объяснил.

По первому пункту: сохранить как можно конечно нажимать, но Вы точно не пользовались flat pattern. Там просто открываешь сборку, жмешь одну кнопку и со всех листовых делатей делаются dxf файлы! Очень быстро! И все в автоматическом режиме.

По второму: свой список ТТ я могу составить и сохранить их в отдельную папку. Вопрос в том как добиться чтобы при создании нового чертежа на листе уже были прописаны ТТ. Если открыть шаблон и на него добавить ТТ, то при создании нового чертеже ТТ с листа пропадают.
Цитата
n0b0dy пишет:
По первому пункту: сохранить как можно конечно нажимать, но Вы точно не пользовались flat pattern. Там просто открываешь сборку, жмешь одну кнопку и со всех листовых делатей делаются dxf файлы! Очень быстро! И все в автоматическом режиме
Здесь на форуме есть код на ilogik для создания разверток, поищите по моему Алексей Романов выкладывал.
Цитата
Gnedov пишет:

Цитата
n0b0dy пишет:

По первому пункту: сохранить как можно конечно нажимать, но Вы точно не пользовались flat pattern. Там просто открываешь сборку, жмешь одну кнопку и со всех листовых делатей делаются dxf файлы! Очень быстро! И все в автоматическом режиме
Здесь на форуме есть код на ilogik для создания разверток, поищите по моему Алексей Романов выкладывал.

Спасибо, поищу.

У меня есть такой код, но им тоже долго.

Код
' Get the DXF translator Add-In.
Dim DXFAddIn As TranslatorAddIn
DXFAddIn = ThisApplication.ApplicationAddIns.ItemById("{C24E3AC4-122E-11D5-8E91-0010B541CD80}")
'Set a reference to the active document (the document to be published).
Dim oDocument As Document
oDocument = ThisApplication.ActiveDocument
Dim oContext As TranslationContext
oContext = ThisApplication.TransientObjects.CreateTranslationContext
oContext.Type = IOMechanismEnum.kFileBrowseIOMechanism
' Create a NameValueMap object
Dim oOptions As NameValueMap
oOptions = ThisApplication.TransientObjects.CreateNameValueMap
' Create a DataMedium object
Dim oDataMedium As DataMedium
oDataMedium = ThisApplication.TransientObjects.CreateDataMedium
' Check whether the translator has 'SaveCopyAs' options
If DXFAddIn.HasSaveCopyAsOptions(oDocument, oContext, oOptions) Then
Dim strIniFile As String
strIniFile = "C:\temp\dxfout.ini"
' Create the name-value that specifies the ini file to use.
oOptions.Value("Export_Acad_IniFile") = strIniFile
End If
'Set the destination file name
oDataMedium.FileName = ThisDoc.PathAndFileName(False) & ".dxf"
'Publish document.
DXFAddIn.SaveCopyAs(oDocument, oContext, oOptions, oDataMedium)
'Launch the dxf file in whatever application Windows is set to open this document type with
i = MessageBox.Show("Открыть file?", "Title",MessageBoxButtons.YesNo,MessageBoxIcon.Question)
If i = vbYes Then ThisDoc.Launch(oDataMedium.FileName)
Цитата
n0b0dy пишет:
Спасибо, поищу.

У меня есть такой код, но им тоже долго.
Это не совсем то

'define the active document As an Assembly file
Dim oAsmDoc As AssemblyDocument
oAsmDoc = ThisApplication.ActiveDocument
oAsmName = Left(oAsmDoc.DisplayName, Len(oAsmDoc.DisplayName) -4)

'check that the active document Is an Assembly file
If ThisApplication.ActiveDocument.DocumentType <> kAssemblyDocumentObject Then
MessageBox.Show("Please run this rule from the assembly file.", "iLogic")
Exit Sub
End If

'Get user Input
RUsure = MessageBox.Show ( _
"DXF-Creator." _
& vbLf & "This rule expects that the drawing file shares the same name and location as the component." _
& vbLf & " " _
& vbLf & "Are you sure you want to create DXF for all Sheets?" _
& vbLf & "This could take a while.", "iLogic  - Batch Output DXFs ",MessageBoxButtons.YesNo)


If RUsure = vbNo Then
Return
Else
End If

Dim oPath As String
oPath = "D:\DXF"

'Get  target folder path
oFolder = oPath

'Check For the  folder And create it If it does Not exist
If Not System.IO.Directory.Exists(oFolder) Then
   System.IO.Directory.CreateDirectory(oFolder)
End If


Dim oRefDocs As DocumentsEnumerator
oRefDocs = oAsmDoc.AllReferencedDocuments
Dim oRefDoc As Document

Dim sOut As String
sOut = "FLAT PATTERN DWG?AcadVersion=2000&OuterProfileLayer=Burn&InteriorProfilesLaye­r=Burn&InvisibleLayers=IV_UNCONSUMEND_SKETCHES;IV_ALTREP_BACK;IV_ALTREP_FRONT;IV_ARC_CENTERS;IV_TOOL_CENTER_DOWN;IV_TOOL_CENTER;IV_ARC_CENTERS;IV_TANGENT;IV_BEND;IV_BEND_DOWN&SplineTolerance Double 0.1"
Dim sFname As String

For Each oRefDoc In oRefDocs
    'Dim oSMCompDef As SheetMetalComponentDefinition
    Try
      oSMCompDef = oRefDoc.ComponentDefinition
       Catch
   End Try
   If oSMCompDef IsNot Nothing Then
     If oSMCompDef.Type = ObjectTypeEnum.kSheetMetalComponentDefinitionObject Then

     oSMCompDef.Unfold
     Else
     oSMCompDef.FlatPattern.Edit
     End If
     Try

       sFname = oPath + "\" + oRefDoc.DisplayName + ".dxf"
' sFname = oPath + "\" + Left(oRefDoc.FileName, Len(oRefDoc.FileName) - 3) + ".dxf"
        oSMCompDef.DataIO.WriteDataToFile(sOut, sFname)
        oSMCompDef.FlatPattern.ExitEdit
     Catch
     End Try
   End If
Next
MessageBox.Show(oFolder & " - "& sFname , "Fertig")

  Делает развертки всех деталей из сборки.
Цитата
n0b0dy пишет:
У меня есть такой код, но им тоже долго.
Это немного не то, я выкладывал тут, найти не могу, Вот что я нашел у себя в архиве, как вариант макрос на VBA:
Код
Option Explicit
Public Sub WriteSheetMetalToDXF()
    On Error Resume Next
    If ThisApplication.ActiveDocumentType <> kAssemblyDocumentObject Then
        MsgBox "Работаем только со сборками!"
        Exit Sub
    End If
   
    Dim asDoc As AssemblyDocument
    Set asDoc = ThisApplication.ActiveDocument
    
    Dim ptDoc As Document
    For Each ptDoc In asDoc.AllReferencedDocuments
        If ptDoc.ComponentDefinition.Type = kSheetMetalComponentDefinitionObject Then
            If ptDoc.ComponentDefinition.HasFlatPattern = False Then
                Call ptDoc.ComponentDefinition.Unfold
            Else
                Call ptDoc.ComponentDefinition.FlatPattern.Edit
            End If
            
            Dim oPatch As String
            oPatch = ptDoc.FullFileName
            oPatch = Replace(oPatch, "ipt", "dxf")
            
            Dim oDataIO As DataIO
            Set oDataIO = ptDoc.ComponentDefinition.DataIO
        
            Dim sOut As String
            ' Build the string that defines the format of the DXF file.
            sOut = "FLAT PATTERN DXF?AcadVersion=2000&OuterProfileLayer=Layer"
            
            ' Create the DXF file.
            oDataIO.WriteDataToFile sOut, oPatch
            Call ptDoc.ComponentDefinition.FlatPattern.ExitEdit
        End If
    Next
End Sub
Здесь макрос просто тупо складывает файлы dxf рядом с исходниками.
По поводу ТТ не получится фокус с костылем ЕСКД, если только просто текстом написать...
Никогда не говори никогда.
Цитата
Алексей Романов пишет:

Цитата
n0b0dy пишет:

У меня есть такой код, но им тоже долго.
Это немного не то, я выкладывал тут, найти не могу, Вот что я нашел у себя в архиве, как вариант макрос на VBA:
Код
 Option Explicit
Public Sub WriteSheetMetalToDXF()
&nbsp;&nbsp;&nbsp;&nbsp;On Error Resume Next
&nbsp;&nbsp;&nbsp;&nbsp;If ThisApplication.ActiveDocumentType <> kAssemblyDocumentObject Then
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;MsgBox "Работаем только со сборками!"
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Exit Sub
&nbsp;&nbsp;&nbsp;&nbsp;End If
&nbsp;&nbsp; 
&nbsp;&nbsp;&nbsp;&nbsp;Dim asDoc As AssemblyDocument
&nbsp;&nbsp;&nbsp;&nbsp;Set asDoc = ThisApplication.ActiveDocument
&nbsp;&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;Dim ptDoc As Document
&nbsp;&nbsp;&nbsp;&nbsp;For Each ptDoc In asDoc.AllReferencedDocuments
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;If ptDoc.ComponentDefinition.Type = kSheetMetalComponentDefinitionObject Then
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;If ptDoc.ComponentDefinition.HasFlatPattern = False Then
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Call ptDoc.ComponentDefinition.Unfold
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Else
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Call ptDoc.ComponentDefinition.FlatPattern.Edit
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;End If
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Dim oPatch As String
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;oPatch = ptDoc.FullFileName
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;oPatch = Replace(oPatch, "ipt", "dxf")
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Dim oDataIO As DataIO
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set oDataIO = ptDoc.ComponentDefinition.DataIO
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Dim sOut As String
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' Build the string that defines the format of the DXF file.
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;sOut = "FLAT PATTERN DXF?AcadVersion=2000&amp;OuterProfileLayer=Layer"
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' Create the DXF file.
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;oDataIO.WriteDataToFile sOut, oPatch
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Call ptDoc.ComponentDefinition.FlatPattern.ExitEdit
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;End If
&nbsp;&nbsp;&nbsp;&nbsp;Next
End Sub 
Здесь макрос просто тупо складывает файлы dxf рядом с исходниками.

По поводу ТТ не получится фокус с костылем ЕСКД, если только просто текстом написать...

Спасибо!
За выходные поковырял еще несколько готовых addin ов. Нашел очень неплохой (как мне кажется). Publish Tool Light
C моей задачей справляется на ура!
Плюсом помимо dxf может создавать базовый чертеж (вставляет в заданный шаблон главный вид) всех деталей в сборке одним нажатием. Так же умеет пакетно создавать из idw pdf. Что тоже очень ускоряет работу.
Доброго дня всем.

Подскажите как пользоваться таблицой редакций (и тэгами редакций)?
Я сколько не бился с ней все время выдает редакцию 1, а остальные не ставит.

работаю в 15ом инвенторе.
Цитата
n0b0dy пишет:

Доброго дня всем.

Подскажите как пользоваться таблицой редакций (и тэгами редакций)?
Я сколько не бился с ней все время выдает редакцию 1, а остальные не ставит.

работаю в 15ом инвенторе.
Не знаю, но по ЕСКД Изменения в штампе фиксируются, вообще-то -((
Inventor2012
Цитата
v b пишет:

Цитата
n0b0dy пишет:

Доброго дня всем.

Подскажите как пользоваться таблицой редакций (и тэгами редакций)?
Я сколько не бился с ней все время выдает редакцию 1, а остальные не ставит.

работаю в 15ом инвенторе.
Не знаю, но по ЕСКД Изменения в штампе фиксируются, вообще-то -((

В штампе прописываю номер изменения, шифр и дату, а на поле чертежа надо поставить маркер. Вот этот маркер почему-то все время идет с номером 1. Пробовал создавать таблицу редакций, там создавал несколько редакций. Результат тот же.
Цитата

В штампе прописываю номер изменения, шифр и дату, а на поле чертежа надо поставить маркер. Вот этот маркер почему-то все время идет с номером 1. Пробовал создавать таблицу редакций, там создавал несколько редакций. Результат тот же.
Я давно уже использую "Маркирование" для этих целей, вероятно из-за того же.
Возвращаясь к метке изменений... Если в свойствах чертежа проставить редакцию, скажем 3 и применить, то в знаке метки изменений редакция меняется на 3. Какой в этом смысл и как с этим работать? Вопрос...
Изменено: v b - 24.11.2017 10:19:39
Inventor2012
Страницы: Пред. 1 ... 22 23 24 25 26 ... 29 След.
Читают тему (гостей: 3, пользователей: 0, из них скрытых: 0)